Early access: these pages are being written and reviewed. Facts in the header boxes come straight from the product.
Sign a contract from the public signing page
POST
/api/v1/contracts/{id}/sign-public
const url = 'https://api.pitch2sale.com/api/v1/contracts/example/sign-public';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"token":"example","signer_name":"example","signer_email":"hello@example.com","signature_data_url":"example","signature_type":"drawn"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.pitch2sale.com/api/v1/contracts/example/sign-public \ --header 'Content-Type: application/json' \ --data '{ "token": "example", "signer_name": "example", "signer_email": "hello@example.com", "signature_data_url": "example", "signature_type": "drawn" }'Unauthenticated; requires the public token, signer_name and signer_email. Only sent contracts can be signed.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
token
required
string
signer_name
required
string
signer_email
required
string format: email
signature_data_url
required
string
signature_type
required
string
Responses
Section titled “Responses”OK
Validation failed
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}Rate limit exceeded
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}